function [X,IC] = SOR(m,beta)
%returns a potential and initial condition for a Willmore surface of revolution

b=beta;
IC=[(1/(2*sqrt(2)))*(b^2+m^2+3), (1/(2*sqrt(2)))*(b^2+m^2-1) ,   0,-m,-b;...
    (1/(2*sqrt(2)))*(b^2+m^2+1), (1/(2*sqrt(2)))*(b^2+m^2-3) ,   0,-m,-b;...
    0,                0,                                         1,0,0;...
    -m/(sqrt(2)),     -m/(sqrt(2)),                              0,1,0;...
    b/(sqrt(2)),        b/(sqrt(2)),                           0,0,-1];

rho=(1/2)*(m^2+b^2-1);
A0=@(z)[0      0        0      0       0;
       0       0        0      0       0;
       0       0        0     -m     -b;
       0       0       m     0       0;
       0       0       b     0       0];
    

A1=@(z)(1/(2*sqrt(2)))*[0               0               1+rho         -1i*(1+rho)  0;
                     0                 0               1-rho          -1i*(1-rho)  0;
                     1+rho          -1+rho             0              0           0;
                     -1i*(1+rho)     1i*(1-rho)        0              0           0;
                     0                0                0               0          0];

X=@(z)[conj(A1(z)), A0(z), A1(z)];

end